mssql_execute
mssql_fetch_assoc
Mssql Functions
PHP Manual

# mssql_fetch_array

Fetch a result row as an associative array, a numeric array, or both

### Description

array mssql_fetch_array ( resource `$result` [, int `$result_type` = MSSQL_BOTH ] )

mssql_fetch_array is an extended version of mssql_fetch_row. In addition to storing the data in the numeric indices of the result array, it also stores the data in associative indices, using the field names as keys.

An important thing to note is that using mssql_fetch_array is NOT significantly slower than using mssql_fetch_row, while it provides a significant added value.

### Parameters

`result`

  The result resource that is being evaluated. This result comes from a call to mssql_query.

`result_type`

  The type of array that is to be fetched. It's a constant and can take the following values: `MSSQL_ASSOC`, `MSSQL_NUM`, and `MSSQL_BOTH`.

### Return Values

Returns an array that corresponds to the fetched row, or `FALSE` if there are no more rows.

### Examples

Example #1 mssql_fetch_array example

`<?php
// Send a select query to MSSQL
$query = mssql_query('SELECT [username], [name] FROM [php].[dbo].[userlist]');
// Check if there were any records
if (!mssql_num_rows($query)) {
echo 'No records found';
} else {
// The following is equal to the code below:
//
// while ($row = mssql_fetch_row($query)) {
while ($row = mssql_fetch_array($query, MSSQL_NUM)) {
// ...
}
}
// Free the query result
mssql_free_result($query);
?>`

### Notes

> Note: Field names returned by this function are case-sensitive.

> Note: This function sets NULL fields to the PHP `NULL` value.

### See Also

- mssql_fetch_row